Subject: [PATCH] dmaengine: pl330: Set residue in tx_status callback

From: [email-masked] (Vinod Koul)
Date: Tue, 9 Dec 2014 11:40:03 +0530

On Mon, Dec 08, 2014 at 02:23:21PM +0000, Russell King - ARM Linux wrote:
> On Mon, Dec 08, 2014 at 06:37:27PM +0530, Vinod Koul wrote:
> > I actually like the split model, you can also prepare txn ahead of time and
> > submit them when needed.
> 
> Actually, you can't - that's not permitted.  I have email(s) from Dan
> explicitly stating that it is permitted for a driver to take a spinlock
> in their prepare callback, and release it when the descriptor is
> submitted.  Several DMA engine drivers (particularly those in for
> async_tx) do exactly that.
> 
> The reason that submit is separate from prepare is to allow DMA engine
> users to set a callback - if it weren't for that, there wouldn't be a
> submit step, prepare would have done everything.
Yes thats right.

Do you mind pointing to thread Dan replied, I would like to add these bits
and anything else missing to Documentation

Thanks
-- 
~Vinod